# Uses of Interface
org.apache.qpid.proton.engine.SaslListener

Packages that use SaslListener
Package
Description
org.apache.qpid.proton.engine
org.apache.qpid.proton.engine.impl

## Uses of SaslListener in org.apache.qpid.proton.engine

Methods in org.apache.qpid.proton.engine with parameters of type SaslListener
Modifier and Type
Method
Description
`void`
Sasl.`setListener(SaslListener saslListener)`
Adds a listener to receive notice of frames having arrived.

## Uses of SaslListener in org.apache.qpid.proton.engine.impl

Methods in org.apache.qpid.proton.engine.impl with parameters of type SaslListener
Modifier and Type
Method
Description
`void`
SaslImpl.`setListener(SaslListener saslListener)`